import time
from threading import Thread

class Broadcaster(Thread):
    """Background thread sending periodic notifications."""

    def run(self):
        while True:
            #push event to all users
            time.sleep(5)  # Send every 5 seconds
